// Revista do Linux - Edio 39
// Curso de Java - Captulo 5
// Audio.java

public class Audio extends CD {

	protected int duracao;
	protected int faixas;

	// construtores
	public Audio()
	{
		// chamando construtor do pai
		super();
		duracao = 0;
		faixas = 0;
	}

	public Audio(int codigo, String descricao, int edicao, int quantidadeTotal, 
		int quantidadeDisponivel, String local, int volume, int duracao, int faixas)
	{
		// chamando construtor do pai com parmetros
		super(codigo, descricao, edicao, quantidadeTotal, quantidadeDisponivel, local, 
			volume);
		this.duracao = duracao;
		this.faixas = faixas;
	}       

	// mtodos
	public void setDuracao(int duracao)
	{
		this.duracao = duracao;
	}
	public int getDuracao()
	{
		return duracao;
	}
	public void setFaixas(int faixas)
	{
		this.faixas = faixas;
	}
	public int getFaixas()
	{
		return faixas;
	}
}
